<!-- Component to display all countries grouped by region -->
<template>
    <div class="">
        <h3 class="text-capitalize">{{ region }}</h3>
        <div class="count">
            <template v-for="(all,i) in all">
                <router-link :to="`/country/${all.alpha3Code}`" tag="span" v-if="all.region === region"  :key="i" class="my-1">
                   <img :src="all.flag" :alt="all.name" height="18px" width="25px">
                    {{ all.name }}
                </router-link>
            </template>
        </div>
    </div>
</template>

<script>
     
    export default {
        name: "region",
        props: {
            all: Array,
            region: String
        },
        methods: {
           
        }
    };
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    .count {
        display: flex;
        flex-wrap: wrap;
    }
    span {
        display: inline-block;
        width: calc( 100%/4);
        cursor: pointer;
    }
    span:hover {
        font-weight: 500;
    }
</style>
